## visad.data.tiff
Class TiffForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.bio.LociForm
                  visad.data.tiff.TiffForm

All Implemented Interfaces:
  FormBlockReader, FormFileInformer, FormProgressInformer, MetadataReader, OMEReader

public class TiffForm
extends LociForm

TiffForm is the VisAD data adapter for the TIFF file format. This class is just a wrapper for the TIFF logic in the loci.formats package.

Field Summary

Fields inherited from class visad.data.bio.LociForm
`percent, reader, writer`

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`TiffForm()`

Method Summary
`static void` `main(String[] args)`
`void` `saveImage(String id, FlatField image, Hashtable ifd, boolean last)`

Methods inherited from class visad.data.bio.LociForm
`add, close, getBlockCount, getDefaultSuffixes, getForms, getMetadata, getMetadataValue, getOMENode, getPercentComplete, getReader, getWriter, isThisType, isThisType, open, open, open, save, setFrameRate, testRead`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffForm

    public TiffForm()

Method Detail

### saveImage

    public void saveImage(String id,
                          FlatField image,
                          Hashtable ifd,
                          boolean last)
                   throws BadFormException,
                          IOException

  Throws:
    `BadFormException`
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`